package com.qpc.qpc_admob;//package com.qpc.qpc_admob;
//
//import android.app.Activity;
//import android.content.Context;
//import android.widget.Toast;
//
//import com.bytedance.sdk.openadsdk.AdSlot;
//import com.bytedance.sdk.openadsdk.TTAdConfig;
//import com.bytedance.sdk.openadsdk.TTAdConstant;
//import com.bytedance.sdk.openadsdk.TTAdManager;
//import com.bytedance.sdk.openadsdk.TTAdNative;
//import com.bytedance.sdk.openadsdk.TTAdSdk;
//import com.bytedance.sdk.openadsdk.TTAppDownloadListener;
//import com.bytedance.sdk.openadsdk.TTRewardVideoAd;
//
//import io.flutter.plugin.common.MethodCall;
//import io.flutter.plugin.common.MethodChannel;
//import io.flutter.plugin.common.MethodChannel.MethodCallHandler;
//import io.flutter.plugin.common.MethodChannel.Result;
//import io.flutter.plugin.common.PluginRegistry.Registrar;
//
///** QpcAdmobPlugin */
//public class QpcAdmobPlugin1 implements MethodCallHandler {
//  private final Registrar registrar;
//  private final MethodChannelethodChannel channel;
//
//  /** Plugin registration. */
//  public static void registerWith(Registrar registrar) {
//    final MethodChannel channel = new MethodChannel(registrar.messenger(), "com.qpc/qpc_admob");
//    channel.setMethodCallHandler(new QpcAdmobPlugin1(registrar,channel));
//  }
//
//  private QpcAdmobPlugin1(Registrar registrar, MethodChannel channel) {
//    this.registrar = registrar;
//    this.channel = channel;
//
//    System.out.println("registrar.context()"+registrar.context());
//
//    TTAdSdk.init(registrar.context(),
//            new TTAdConfig.Builder()
//                    .appId("5039140")
//                    .useTextureView(false) //使用TextureView控件播放视频,默认为SurfaceView,当有SurfaceView冲突的场景，可以使用TextureView
//                    .appName("APP测试媒体")
//                    .titleBarTheme(TTAdConstant.TITLE_BAR_THEME_DARK)
//                    .allowShowNotify(true) //是否允许sdk展示通知栏提示
//                    .allowShowPageWhenScreenLock(true) //是否在锁屏场景支持展示广告落地页
//                    .debug(true) //测试阶段打开，可以通过日志排查问题，上线时去除该调用
//                    .directDownloadNetworkType(TTAdConstant.NETWORK_STATE_WIFI, TTAdConstant.NETWORK_STATE_3G) //允许直接下载的网络状态集合
//                    .supportMultiProcess(false) //是否支持多进程，true支持
//                    //.httpStack(new MyOkStack3())//自定义网络库，demo中给出了okhttp3版本的样例，其余请自行开发或者咨询工作人员。
//                    .build());
//  }
//
//  @Override
//  public void onMethodCall(MethodCall call, Result result) {
//    if (call.method.equals("getPlatformVersion")) {
//      result.success("Android " + android.os.Build.VERSION.RELEASE );
//    } else if (call.method.equals("loadAd")) {
//        loadAd(registrar.activeContext(),"939140473",TTAdConstant.VERTICAL);
//        result.success("Android  laodAd true" );
//      }else if (call.method.equals("show")) {
//      loadAd(registrar.activeContext(),"939140473",TTAdConstant.VERTICAL);
//      result.success("Android  laodAd true" );
//      }else {
//      result.notImplemented();
//    }
//  }
//
//
//
//  public void loadAd(final Context context, String codeId, int orientation) {
//
//    //step4:创建广告请求参数AdSlot,具体参数含义参考文档
//    AdSlot adSlot = new AdSlot.Builder()
//            .setCodeId(codeId)
//            .setSupportDeepLink(true)
//            .setImageAcceptedSize(1080, 1920)
//            .setRewardName("金币") //奖励的名称
//            .setRewardAmount(3)  //奖励的数量
//            .setUserID("user123")//用户id,必传参数
//            .setMediaExtra("media_extra") //附加参数，可选
//            .setOrientation(orientation) //必填参数，期望视频的播放方向：TTAdConstant.HORIZONTAL 或 TTAdConstant.VERTICAL
//            .build();
//    //step5:请求广告
//    TTAdManager ttAdManager =  TTAdSdk.getAdManager();
//    //step2:(可选，强烈建议在合适的时机调用):申请部分权限，如read_phone_state,防止获取不了imei时候，下载类广告没有填充的问题。
//    ttAdManager.requestPermissionIfNecessary(context);
//    //step3:创建TTAdNative对象,用于调用广告请求接口
//    TTAdNative mTTAdNative = ttAdManager.createAdNative(context);
//
//    mTTAdNative.loadRewardVideoAd(adSlot, new TTAdNative.RewardVideoAdListener() {
//      @Override
//      public void onError(int code, String message) {
//        TToast.show(context, message);
//      }
//
//      //视频广告加载后，视频资源缓存到本地的回调，在此回调后，播放本地视频，流畅不阻塞。
//      @Override
//      public void onRewardVideoCached() {
//        TToast.show(context, "rewardVideoAd video cached");
//      }
//
//      //视频广告的素材加载完毕，比如视频url等，在此回调后，可以播放在线视频，网络不好可能出现加载缓冲，影响体验。
//      @Override
//      public void onRewardVideoAdLoad(TTRewardVideoAd ad) {
//        ad.showRewardVideoAd((Activity) context);
//        TToast.show(context, "rewardVideoAd loaded");
//        ad.setRewardAdInteractionListener(new TTRewardVideoAd.RewardAdInteractionListener() {
//
//          @Override
//          public void onAdShow() {
//            TToast.show(context, "rewardVideoAd show");
//          }
//
//          @Override
//          public void onAdVideoBarClick() {
//            TToast.show(context, "rewardVideoAd bar click");
//          }
//
//          @Override
//          public void onAdClose() {
//            TToast.show(context, "rewardVideoAd close");
//          }
//
//          //视频播放完成回调
//          @Override
//          public void onVideoComplete() {
//            TToast.show(context, "rewardVideoAd complete");
//          }
//
//          @Override
//          public void onVideoError() {
//            TToast.show(context, "rewardVideoAd error");
//          }
//
//          //视频播放完成后，奖励验证回调，rewardVerify：是否有效，rewardAmount：奖励梳理，rewardName：奖励名称
//          @Override
//          public void onRewardVerify(boolean rewardVerify, int rewardAmount, String rewardName) {
//            TToast.show(context, "verify:" + rewardVerify + " amount:" + rewardAmount +
//                    " name:" + rewardName);
//          }
//
//          @Override
//          public void onSkippedVideo() {
//            TToast.show(context, "rewardVideoAd has onSkippedVideo");
//          }
//        });
//        ad.setDownloadListener(new TTAppDownloadListener() {
//          @Override
//          public void onIdle() {
//
//          }
//
//          @Override
//          public void onDownloadActive(long totalBytes, long currBytes, String fileName, String appName) {
//
//
//              TToast.show(context, "下载中，点击下载区域暂停", Toast.LENGTH_LONG);
//
//          }
//
//          @Override
//          public void onDownloadPaused(long totalBytes, long currBytes, String fileName, String appName) {
//            TToast.show(context, "下载暂停，点击下载区域继续", Toast.LENGTH_LONG);
//          }
//
//          @Override
//          public void onDownloadFailed(long totalBytes, long currBytes, String fileName, String appName) {
//            TToast.show(context, "下载失败，点击下载区域重新下载", Toast.LENGTH_LONG);
//          }
//
//          @Override
//          public void onDownloadFinished(long totalBytes, String fileName, String appName) {
//            TToast.show(context, "下载完成，点击下载区域重新下载", Toast.LENGTH_LONG);
//          }
//
//          @Override
//          public void onInstalled(String fileName, String appName) {
//            TToast.show(context, "安装完成，点击下载区域打开", Toast.LENGTH_LONG);
//          }
//        });
//      }
//    });
//
//  }
//
//
//}
